LogbackService.Slf4jStringLogger (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.logging
Class LogbackService.Slf4jStringLogger

    java.lang.Object
      org.neo4j.kernel.impl.util.StringLogger
          org.neo4j.kernel.logging.LogbackService.Slf4jStringLogger

Enclosing class:
  LogbackService

    public static class LogbackService.Slf4jStringLogger

extends org.neo4j.kernel.impl.util.StringLogger

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.kernel.impl.util.StringLogger
`org.neo4j.kernel.impl.util.StringLogger.LineLogger, org.neo4j.kernel.impl.util.StringLogger.LineLoggerImpl`

Field Summary

Fields inherited from class org.neo4j.kernel.impl.util.StringLogger
`DEFAULT_NAME, DEV_NULL, SYSTEM`

Method Summary
`void` | `addRotationListener(Runnable listener)`
`void` | `close()`
`void` | `flush()`
`protected void` | `logLine(String line)`
`void` | `logLongMessage(String msg, Visitor<org.neo4j.kernel.impl.util.StringLogger.LineLogger> source, boolean flush)`
`void` | `logMessage(String msg, boolean flush)`
`void` | `logMessage(String msg, Throwable cause, boolean flush)`

Methods inherited from class org.neo4j.kernel.impl.util.StringLogger
`logger, logger, logger, logLongMessage, logLongMessage, logLongMessage, logLongMessage, logLongMessage, logMessage, logMessage, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### logLine

    protected void logLine(String line)

  Specified by:
    `logLine` in class `org.neo4j.kernel.impl.util.StringLogger`

### logLongMessage

    public void logLongMessage(String msg,
                               Visitor<org.neo4j.kernel.impl.util.StringLogger.LineLogger> source,
                               boolean flush)

  Specified by:
    `logLongMessage` in class `org.neo4j.kernel.impl.util.StringLogger`

### logMessage

    public void logMessage(String msg,
                           boolean flush)

  Specified by:
    `logMessage` in class `org.neo4j.kernel.impl.util.StringLogger`

### logMessage

    public void logMessage(String msg,
                           Throwable cause,
                           boolean flush)

  Specified by:
    `logMessage` in class `org.neo4j.kernel.impl.util.StringLogger`

### addRotationListener

    public void addRotationListener(Runnable listener)

  Specified by:
    `addRotationListener` in class `org.neo4j.kernel.impl.util.StringLogger`

### flush

    public void flush()

  Specified by:
    `flush` in class `org.neo4j.kernel.impl.util.StringLogger`

### close

    public void close()

  Specified by:
    `close` in class `org.neo4j.kernel.impl.util.StringLogger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.